SuSE 10 Security Update : IBM Java 1.4.2 (ZYPP Patch Number 5465)

Medium Nessus Plugin ID 34024

Synopsis

The remote SuSE 10 host is missing a security-related patch.

Description

This update of IBM Java to 1.4.2 SR11 fixes various security problems :

- Stack-based buffer overflow in Java Web Start (javaws.exe) allows remote attackers to execute arbitrary code via a crafted JNLP file. (CVE-2008-1196)

- Unspecified vulnerability in the Java Runtime Environment (JRE) allows remote attackers to cause a denial of service (JRE crash) and possibly execute arbitrary code via unknown vectors related to XSLT transforms. (CVE-2008-1187)

- Visual truncation vulnerability in the Java Runtime Environment allows remote attackers to circumvent display of the untrusted-code warning banner by creating a window larger than the workstation screen.
(CVE-2007-5240)

Solution

Apply ZYPP patch number 5465.

See Also

http://support.novell.com/security/cve/CVE-2007-5240.html

http://support.novell.com/security/cve/CVE-2008-1187.html

http://support.novell.com/security/cve/CVE-2008-1196.html

Plugin Details

Severity: Medium

ID: 34024

File Name: suse_java-1_4_2-ibm-5465.nasl

Version: 1.15

Type: local

Agent: unix

Published: 2008/08/22

Updated: 2019/10/25

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2008/07/22

Reference Information

CVE: CVE-2007-5240, CVE-2008-1187, CVE-2008-1196

CWE: 119, 264